အကြောင်းအရာသို့ ကျော်ရန်

Eleven v4 Text to Speech

ပေါင်းစည်းရန်

မော်ဒယ် id elevenlabs/tts/eleven-v4
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/elevenlabs/tts/eleven-v4?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "[whispers] Okay, everyone, gather close. [excited] The bread is finally out of the oven. [laughs] Fine, fine, one slice each, but only if you promise to save one for me."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ၀.၀၁၄ $ ၁၄ API ခရက်ဒစ် · ≈ ၁.၅၀ ₽ ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
ElevenLabs စာသားမှ အသံ #voiceover#expressive#timestamps

ElevenLabs ၏ အမြင်သာဆုံး အသံမော်ဒယ်ဖြစ်ပြီး စာကြောင်းအတွင်း စိတ်ခံစားချက်တဂ်များနှင့် စကားလုံးအချိန်မှတ်တမ်းများ ပါဝင်သည်။

နမူနာများ

ထွက်ရလဒ် · ~14 s
[whispers] Okay, everyone, gather close. [excited] The bread is finally out of the oven. [laughs] Fine, fine, one slice each, but only if you promise to save one for me.၀.၀၁၄ $ · ၁၄ API ခရက်ဒစ်

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည် 169 / 5000

စကားပြောအကြောင်းအရာကို စာသားအဖြစ် ပေးပါ။ [whispering] ကဲ့သို့ အသံ tag များဖြင့် ပြောဆိုပုံကို ရွေးချယ်ဖော်ပြနိုင်သလို ရှေ့နောက် slash များအကြား IPA အသံထွက်များကိုလည်း သတ်မှတ်နိုင်သည်။

မူလ Rachel

စကားပြောသံဖန်တီးရန် ရွေးချယ်ထားသည့် အသံ။

အဆင့်မြင့် apply_text_normalization · language_code · output_format · stability · similarity_boost · seed · timestamps
apply_text_normalization မူလ auto

ဖန်တီးခြင်းမပြုမီ နံပါတ်များနှင့် ရက်စွဲများကို ကိုင်တွယ်ပုံအပါအဝင် စာသားပုံမှန်ပြုလုပ်ခြင်းကို ထိန်းချုပ်သည်။

အသံပြောဆိုမှု ဖန်တီးခြင်းနှင့် စာသားပုံမှန်ပြုလုပ်ခြင်းတွင် အသုံးပြုသည့် ISO 639-1 ဘာသာစကားကုဒ်။

မူလ mp3_44100_128

codec_sample_rate_bitrate ပုံစံဖြင့် သတ်မှတ်ထားသော ဖန်တီးပြီးသား အသံဖော်မတ်။

မူလ 0.5

အသံတည်ငြိမ်မှုသည် တန်ဖိုးနိမ့်သောအခါ ဖော်ပြချက်ပါသည့် ပြောဆိုပုံနှင့် တန်ဖိုးမြင့်သောအခါ တစ်သမတ်တည်း ပြောဆိုပုံတို့ကို ချိန်ညှိပေးသည်။

မူလ 0.75

ရည်ညွှန်းအသံနှင့် တူညီမှုကို ထိန်းချုပ်သည်။ သဘာဝကျမှုနှင့် အလဲအလှယ်ရှိနိုင်ပြီး တန်ဖိုးမြှင့်ပါက တူညီမှု ပိုမိုခိုင်မာသော်လည်း ထွက်ရလဒ်သည် သဘာဝကျမှု လျော့နည်းနိုင်သည်။

ပြန်လည်ထုတ်လုပ်နိုင်သော ရလဒ်များရရှိရန် ကြိုးစားသည့် seed။ ထွက်ရလဒ်ကို အတိအကျ ပြန်လည်ရရှိမည်ဟု အာမမခံပါ။

POST /run/elevenlabs/tts/eleven-v4?wait=20 ကုန်ကျစရိတ် → ၀.၀၁၄ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/elevenlabs/tts/eleven-v4?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "[whispers] Okay, everyone, gather close. [excited] The bread is finally out of the oven. [laughs] Fine, fine, one slice each, but only if you promise to save one for me."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Eleven v4 Text to Speech အကြောင်း

Eleven v4 သည် စာသားကို သဘာဝကျပြီး စိတ်ခံစားချက်ပါသော အသံများဖြင့် ဖတ်ပြနိုင်ကာ [excited] သို့မဟုတ် [whispering] ကဲ့သို့သော စာကြောင်းအတွင်း အသံတဂ်များနှင့် IPA အသံထွက်များကို နားလည်သည်။ အသံတစ်ခုရွေးကာ တည်ငြိမ်မှုနှင့် ဆင်တူမှုကို ချိန်ညှိပြီး ဘာသာစကားသတ်မှတ်နိုင်သည်။ လိုအပ်ပါက စကားလုံးအဆင့် အချိန်မှတ်တမ်းများကိုလည်း ရယူနိုင်သည်။ MP3၊ PCM၊ Opus နှင့် တယ်လီဖုန်းဆက်သွယ်ရေး ဖော်မတ်များကို ပံ့ပိုးသည်။

ပါရာမီတာများ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
textလိုအပ်သည်
အမျိုးအစားstring
စာလုံး ၅,၀၀၀ လုံးထက် မပိုပါ
စကားပြောအကြောင်းအရာကို စာသားအဖြစ် ပေးပါ။ [whispering] ကဲ့သို့ အသံ tag များဖြင့် ပြောဆိုပုံကို ရွေးချယ်ဖော်ပြနိုင်သလို ရှေ့နောက် slash များအကြား IPA အသံထွက်များကိုလည်း သတ်မှတ်နိုင်သည်။
voiceရွေးချယ်နိုင်သည်
အမျိုးအစားstring
မူလတန်ဖိုးRachel
စကားပြောသံဖန်တီးရန် ရွေးချယ်ထားသည့် အသံ။
stabilityရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး0.5
၀ – ၁
အသံတည်ငြိမ်မှုသည် တန်ဖိုးနိမ့်သောအခါ ဖော်ပြချက်ပါသည့် ပြောဆိုပုံနှင့် တန်ဖိုးမြင့်သောအခါ တစ်သမတ်တည်း ပြောဆိုပုံတို့ကို ချိန်ညှိပေးသည်။
similarity_boostရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး0.75
၀ – ၁
ရည်ညွှန်းအသံနှင့် တူညီမှုကို ထိန်းချုပ်သည်။ သဘာဝကျမှုနှင့် အလဲအလှယ်ရှိနိုင်ပြီး တန်ဖိုးမြှင့်ပါက တူညီမှု ပိုမိုခိုင်မာသော်လည်း ထွက်ရလဒ်သည် သဘာဝကျမှု လျော့နည်းနိုင်သည်။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
၀ – ၄,၂၉၄,၉၆၇,၂၉၅
ပြန်လည်ထုတ်လုပ်နိုင်သော ရလဒ်များရရှိရန် ကြိုးစားသည့် seed။ ထွက်ရလဒ်ကို အတိအကျ ပြန်လည်ရရှိမည်ဟု အာမမခံပါ။
language_codeရွေးချယ်နိုင်သည်
အမျိုးအစားstring | null
အသံပြောဆိုမှု ဖန်တီးခြင်းနှင့် စာသားပုံမှန်ပြုလုပ်ခြင်းတွင် အသုံးပြုသည့် ISO 639-1 ဘာသာစကားကုဒ်။
output_formatရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးmp3_44100_128
mp3_22050_32mp3_44100_32mp3_44100_64mp3_44100_96mp3_44100_128mp3_44100_192pcm_8000pcm_16000pcm_22050pcm_24000pcm_44100pcm_48000ulaw_8000alaw_8000opus_48000_32opus_48000_64
+3 ခု ထပ်မံopus_48000_96opus_48000_128opus_48000_192
codec_sample_rate_bitrate ပုံစံဖြင့် သတ်မှတ်ထားသော ဖန်တီးပြီးသား အသံဖော်မတ်။
apply_text_normalizationရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးauto
autoonoff
ဖန်တီးခြင်းမပြုမီ နံပါတ်များနှင့် ရက်စွဲများကို ကိုင်တွယ်ပုံအပါအဝင် စာသားပုံမှန်ပြုလုပ်ခြင်းကို ထိန်းချုပ်သည်။
timestampsရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
ဖန်တီးထားသော အသံနှင့်အတူ စာလုံးတစ်လုံးချင်းစီအတွက် အချိန်သတ်မှတ်ဒေတာ ပါဝင်မည်ကို ထိန်းချုပ်သည်။
လိုအပ်သည်

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "elevenlabs/tts/eleven-v4",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 14,
    "usd": "0.014",
    "charged": 14,
    "refunded": 0
  },
  "input": {
    "text": "[excited] Hello! Welcome to the future of voice.",
    "voice": "Aria"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "timestamps": []
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
audio
object {url, content_type, file_name, file_size}ဖန်တီးမှုမှ ထုတ်လုပ်ထားသော အသံဖိုင်။
timestamps
array of any | null`timestamps` ကို True သတ်မှတ်ထားသော တောင်းဆိုချက်များတွင်သာ ပါဝင်သည့် ဖန်တီးစကားပြောသံ၏ အချိန်အချက်အလက်။ စကားလုံးတိုင်းအတွက် timestamp ပါဝင်သည်။

နောက်ထပ် မော်ဒယ်များ: စာသားမှ အသံ

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/elevenlabs/tts/eleven-v4.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt